.
virusphoto virusphoto

Identifiant

Mot de passe

Derniers messages Messages du jour Sujets sans réponse S'inscrire

Rejoignez-nous !

VirusPhoto » Forum » Les logiciels photo » Gimp

Noter la discussion : script-fu

Aller au premier non-lu
  #1  
non lus 23/10/2009, 11h44
Avatar de norca
Membre
Ma pratique de la photo: Pratique régulière
Matériel: sony alpha 200*objectifs:50mm-18/70mm-70/210mm-samyang 8mm.
 
Messages: 780
6060 Photiz - Faire un don

script-fu


[font="Comic Sans MS"][/FONT
Bonjour,
J'ai deja essayer de telecharger des script-fu,je les decompresse dans prog.files/gimp/lib/2.0/pluq-ins.
Je reçois à chaque fois un message d'erreur.Quelqu'un peut-il m'aider?
Merci
Norca
Réponse avec citation

Pour participer aux discussions et avoir accès à tous les outils
proposés sur VirusPhoto, inscrivez-vous en quelques secondes : cliquez ici.

Outils de la discussion Chercher dans ce sujet
Rechercher dans la discussion:

Recherche avancée

Noter la discussion
Evaluez cette discussion :
  #2  
non lus 23/10/2009, 12h05
Avatar de Man
Man Man est déconnecté
Membre
Ma pratique de la photo: Passionné de photo
 
Messages: 684
7580 Photiz - Faire un don
Bonjour,

Tu es trop vague...
Je suppose que tu es sous Windows Xp/Vista/7. Gimp 2.6?
Il faut que tes scripts (*.scm) soient copiés sous Program Files\GIMP-2.0\share\gimp\2.0\scripts.
Après, tu peux toujours les réactualiser sous Gimp (http://docs.gimp.org/fr/install-script-fu.html)

Si ça ne fonctionne toujours pas, essaye peut-être une autre version du script ou d'autres scripts.

Sinon, il nous faut plus de renseignements.
Réponse avec citation
  #3  
non lus 23/10/2009, 12h34
Avatar de norca
Membre
Ma pratique de la photo: Pratique régulière
Matériel: sony alpha 200*objectifs:50mm-18/70mm-70/210mm-samyang 8mm.
 
Messages: 780
6060 Photiz - Faire un don
Bonjour,
Merci,je suis sous windows vista et gimp 2.6.
Je vais suivre tes conseils.
Norca
Réponse avec citation
  #4  
non lus 23/10/2009, 13h30
Avatar de Nounours78
Membre
Ma pratique de la photo: Passionné de photo
Matériel: Nikon D700 + 20mm Nikon / 105mm F2.8 Nikon / Flash SB600
 
Messages: 4 050
21760 Photiz - Faire un don
Tu nous tiens au courant car après c'est peut être les scripts qui sont KO
Réponse avec citation
  #5  
non lus 23/10/2009, 13h57
Avatar de norca
Membre
Ma pratique de la photo: Pratique régulière
Matériel: sony alpha 200*objectifs:50mm-18/70mm-70/210mm-samyang 8mm.
 
Messages: 780
6060 Photiz - Faire un don
Bonjour,
Voila avec les bons conseils ca marche.
Merci
Norca
Réponse avec citation
  #6  
non lus 23/10/2009, 14h15
Avatar de Man
Man Man est déconnecté
Membre
Ma pratique de la photo: Passionné de photo
 
Messages: 684
7580 Photiz - Faire un don
Bonne nouvelle !
Réponse avec citation
  #7  
non lus 23/10/2009, 14h33
Avatar de BlackBear
Membre
Ma pratique de la photo: Passionné de photo
Matériel: XPro-1
 
Messages: 6 112
36416 Photiz - Faire un don
met le dans le répertoire utilisateur /.gimp2.6/.../script/
Réponse avec citation
  #8  
non lus 23/11/2009, 02h53
Avatar de qwentoz
Membre
Ma pratique de la photo: Pratique occasionnelle
Matériel: Nikon D90
 
Messages: 52
800 Photiz - Faire un don
voila pour ma part je suis sur mac os x snow leopard et impossible de rajouter des script-fu dans gimp 2.6 quelqu'un peux m'aider.?
voila le destination ou il faut les mettre si sa peux aider quelqu'un
Application/gimp/contents/resources/share/gimp/2.0/scripts
mais voila en mettant le fichier un message d'erreurs s'affiche ah oui au fait je voulais mettre le script-fu (blur and shadow)

et voila ce que sa me note: (script-fu-blur-and-shadow run-mode image drawable)
Error: eval: unbound variable: run-mode


quelqu'un peux-t'il m'aider?
Réponse avec citation
  #9  
non lus 23/11/2009, 09h46
Avatar de Man
Man Man est déconnecté
Membre
Ma pratique de la photo: Passionné de photo
 
Messages: 684
7580 Photiz - Faire un don
Citation:
Posté par Qwent Oz Voir le message
voila pour ma part je suis sur mac os x snow leopard et impossible de rajouter des script-fu dans gimp 2.6 quelqu'un peux m'aider.?

Ca va être difficile pour moi. Mais as-tu déjà essayé d'autres scripts pour voir si tu as le même problème... Il se peut également que tes scripts correspondent à une version antérieure de Gimp, l'appel et les fonctions ayant changé entre temps... Dans ce cas, il existe peut-être une autre version de tes scripts...
Réponse avec citation
  #10  
non lus 23/11/2009, 17h59
Avatar de qwentoz
Membre
Ma pratique de la photo: Pratique occasionnelle
Matériel: Nikon D90
 
Messages: 52
800 Photiz - Faire un don
@Man
Salut ouai j'ai essayé d'autre script mais même résultat message d'erreurs.
BON en regardant dans gimp encore plus profondément j'ai trouvé mes script bien planqué.
ensuite j'ai découvert qu'en les glissants dans les sous répertoires

Application/gimp/contents/resources/share/gimp/2.0/scripts

sa règle le problème c'est pas très orthodoxe mais je pense que le gimp 2.6 n'est pas encore 100% compatible avec le nouveau OS snow leopard d'où les problèmes vivement une MAJ

merci quand même........
Réponse avec citation
  #11  
non lus 23/11/2009, 18h06
Avatar de Man
Man Man est déconnecté
Membre
Ma pratique de la photo: Passionné de photo
 
Messages: 684
7580 Photiz - Faire un don
Ok
Réponse avec citation
  #12  
non lus 25/11/2009, 01h08
Membre
Ma pratique de la photo: Pratique régulière
Matériel: Pentax
 
Messages: 257
3125 Photiz - Faire un don
Citation:
Posté par Qwent Oz Voir le message
@Man
Salut ouai j'ai essayé d'autre script mais même résultat message d'erreurs.
BON en regardant dans gimp encore plus profondément j'ai trouvé mes script bien planqué.
ensuite j'ai découvert qu'en les glissants dans les sous répertoires

Application/gimp/contents/resources/share/gimp/2.0/scripts

sa règle le problème c'est pas très orthodoxe mais je pense que le gimp 2.6 n'est pas encore 100% compatible avec le nouveau OS snow leopard d'où les problèmes vivement une MAJ

merci quand même........

Je déconseille très vivement de mettre les scripts et plug-ins perso dans le dossier
Application/gimp/contents/resources/share/gimp/2.0/scripts

Il est plutôt recommandé de créer un dossier adéquat dans $HOME/Library/Applications support/Gimp/scripts et d'indiquer dans les préférences de gimp d'aller chercher les scripts dans ce dossier (on peut aussi créer un dossier caché (c'est mon cas) mais là il vaut mieux être habitué aux architectures UNIX et bien vouloir jouer avec le terminal.
Réponse avec citation
  #13  
non lus 25/11/2009, 07h49
Avatar de qwentoz
Membre
Ma pratique de la photo: Pratique occasionnelle
Matériel: Nikon D90
 
Messages: 52
800 Photiz - Faire un don
@plovemax alors je t'écoute et étant à 50% sur linux le terminal ne me fait pas peur alors envoie la sauce si je puis dire !!!!!!......

merci
Réponse avec citation
  #14  
non lus 25/11/2009, 14h46
Membre
Ma pratique de la photo: Pratique régulière
Matériel: Pentax
 
Messages: 257
3125 Photiz - Faire un don
Oh ben tout simplement, j'ai un dossier caché .gimp2.6 dans mon $HOME où j'ai l'arborescence des préférences de gimp et c'est là que je rajoute ce dont j'ai besoin: plug-ins, fonts, scripts, etc. Cela a l'avantage de masquer ce dossier dont je n'ai besoin qu'épisodiquement d'intervenir dessus. En évitant de mettre mes ajouts personnels dans le gimp.app, j'évite de corrompre l'application. Les ajouts sont personnels et enfin lors des mises à jours de l'application, je n'ai pas besoin de réimporter tous mes ajouts. Pour accéder au dossier, je passe par le terminal avec la commande open (ya d'autres méthodes)

Pour info mon arborescence
brushes/
colorrc
controllerrc
curves/
dockrc
environ/
fonts/
fractalexplorer/
gfig/
gflare/
gimprc
gimpressionist/
gradients/
gtkrc
interpreters/
levels/
menurc
modules/
palettes/
parasiterc
patterns/
plug-ins/
pluginrc
print-settings
profilerc
scripts/
sessionrc
templaterc
templates/
themerc
themes/
tmp/
tool-options/
toolrc
unitrc

Maintenant pour le problème qui a amené ta question ce n'est pas de respecter ce conseil qui va le résoudre je pense. Ton message d'erreur il apparait lorsque tu veux utiliser le script ou lorsque tu le glisses dans le dossier script je ne comprend pas trop?

Dernier point, tu utilises quoi comme version de Gimp? Le Gimp.app de Lisanet (dmg) ou alors la version de Macports (celle que j'utilise et qui à ma préférence - j'ai juste installer le gimp.app pour le focus-blur dont je n'ai eu besoin qu'une fois-)?

Dernière modification par plovemax 25/11/2009 à 14h48. Motif: Fôtes
Réponse avec citation
  #15  
non lus 25/11/2009, 15h16
Avatar de qwentoz
Membre
Ma pratique de la photo: Pratique occasionnelle
Matériel: Nikon D90
 
Messages: 52
800 Photiz - Faire un don
@plovemax
C'est dans la console de script-fu dans gimp et qu'en parcourant je choisis un script je sélectionne et à se moment là message d'erreur s'affiche mais le faite que je dépose ce script dans le dossier mentionné dans mon message au dessus corrige se problème mais je trouve que c'est pas très orthodoxe comparée a Ubuntu ou j'ai pas rencontré ce problème

J'utilise gimp 2.6.7 de Macports et toi tu a quel version de mac os x avant j'avais tiger et c'étais beaucoup plus stable comme OS moins de problème je trouve

merci
Réponse avec citation
VirusPhoto » Forum » Les logiciels photo » Gimp

Réponse

Discussion précédente / suivante dans cette rubrique :
« couper une photo | Gimp sous Windows 7 (64bit) »

Non-lu Non-lu  
Bloguer ceci Outils de la discussion Rechercher dans la discussion Noter la discussion

Outils de la discussion Rechercher dans la discussion
Rechercher dans la discussion:

Recherche avancée
Noter la discussion
Noter la discussion:

 


LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Powered by vBulletin® Version 3.8.2 - Copyright ©2000 - 2013, Jelsoft Enterprises Ltd.
2006 - 2017 © ® VirusPhoto. Tous droits réservés.